<template>
    <Page>
        <!-- <ActionBar title="Awesome counter!"> -->
        <!-- <NavigationButton text="Go back" android.systemIcon="ic_menu_back" @tap="goBack()" /> -->
        <!-- </ActionBar> -->
        <StackLayout alignItems="stretch">
            <label class="message" :text="counter"></label>
            <Flexboxlayout stretchLastChild="false" justifyContent="space-around">
                <Button text='Decrement' @tap="decrement()" />
                <Button text='Increment' @tap="increment()" />
            </Flexboxlayout>
            <Flexboxlayout justifyContent="space-around">
                <Button text='Reset the awesome counter' @tap="resetCounter()" />
            </Flexboxlayout>
        </StackLayout>
    </Page>
</template>

<script>
import * as accelerometer from "nativescript-accelerometer";

export default {
    data() {
        return {
            counter: 0
        }
    },
    methods: {
        goBack() {
            this.$navigateBack();
        },
        increment() {
            this.counter++;
        },
        decrement() {
            if (this.counter > 0) {
                this.counter--;
            }
        },
        resetCounter() {
            this.counter = 0;
        }
    },
    mounted() {
        accelerometer.startAccelerometerUpdates(data => {
            if (data.y > 0.5 && this.counter > 0) {
                this.counter--;
            }else if (data.y < -0.9) {
                this.counter++;
            }
            // console.log("x: " + data.x + "y: " + data.y + "z: " + data.z);
        }, { sensorDelay: "normal" });
    },
    destroy() {
        accelerometer.stopAccelerometerUpdates();
    }

}
</script>

<style>
.message {
  vertical-align: center;
  text-align: center;
  font-size: 80;
  color: #333333;
}
</style>
